# Load libraries
import machine, onewire, ds18x20
from time import sleep

# Initialization of GPIO2
ds_pin = machine.Pin(10)

# Initialization of the sensor object
ds_sensor = ds18x20.DS18X20(onewire.OneWire(ds_pin))

# Search for all matching sensors
roms = ds_sensor.scan()

# Serial output
print("Found DS devices")
print("Temperature (°C)")

# Endless loop for continuous reading of the temperature
while True:
  ds_sensor.convert_temp()
  sleep(1)
  # Based on the number of compatible sensors found it will count up
  for rom in roms:
    # Serial output of the measured temperature
    print(ds_sensor.read_temp(rom))
  sleep(3)